Attribute VB_Name = "mGBLOBAL"
Declare Function GetPrivateProfileString Lib "kernel32" _
Alias "GetPrivateProfileStringA" (ByVal lpApplicationName _
As String, ByVal lpKeyName As String, ByVal lpDefault As _
String, ByVal lpReturnedString As String, ByVal nSize As Long, _
ByVal lpFileName As String) As Long

Declare Function DrawMenuBar Lib "User32" (ByVal hWnd As _
  Long) As Long
Declare Function GetMenuItemCount Lib "User32" (ByVal hMenu _
  As Long) As Long
Declare Function GetSystemMenu Lib "User32" (ByVal hWnd As _
  Long, ByVal bRevert As Long) As Long
Declare Function RemoveMenu Lib "User32" (ByVal hMenu As Long, _
  ByVal nPosition As Long, ByVal wFlags As Long) As Long

Public Const MF_BYPOSITION = &H400
Public Const MF_REMOVE = &H1000

'Gerais
Public mbChangedByCode As Boolean
Public mvBookMark As Variant
Public mbEditFlag As Boolean
Public mbAddNewFlag As Boolean
Public mbDataChanged As Boolean


Public Sub subCentralizaForm(strForm As Object, intHeight, intWidth As Integer)

   strForm.Height = intHeight
   strForm.Width = intWidth
   strForm.Left = (Screen.Width - strForm.Width) \ 2
   strForm.Top = (Screen.Height - strForm.Height) \ 2

End Sub

Function VECentenas(VEValor As Currency) As String

   Dim Cem(1 To 9) As String
   Dim Dez(1 To 10) As String
   Dim Uni(1 To 19) As String
   Dim VEExiste As Boolean
   Dim VEExtenso As String
   Dim VEValor2 As Currency
    
   Cem(1) = "Cento"
   Cem(2) = "Duzentos"
   Cem(3) = "Trezentos"
   Cem(4) = "Quatrocentos"
   Cem(5) = "Quinhentos"
   Cem(6) = "Seiscentos"
   Cem(7) = "Setecentos"
   Cem(8) = "Oitocentos"
   Cem(9) = "Novecentos"
    
   Dez(1) = "Dez"
   Dez(2) = "Vinte"
   Dez(3) = "Trinta"
   Dez(4) = "Quarenta"
   Dez(5) = "Cinquenta"
   Dez(6) = "Sessenta"
   Dez(7) = "Setenta"
   Dez(8) = "Oitenta"
   Dez(9) = "Noventa"
   Dez(10) = ""
    
   Uni(1) = "Um"
   Uni(2) = "Dois"
   Uni(3) = "Tres"
   Uni(4) = "Quatro"
   Uni(5) = "Cinco"
   Uni(6) = "Seis"
   Uni(7) = "Sete"
   Uni(8) = "Oito"
   Uni(9) = "Nove"
   Uni(10) = "Dez"
   Uni(11) = "Onze"
   Uni(12) = "Doze"
   Uni(13) = "Treze"
   Uni(14) = "Catorze"
   Uni(15) = "Quinze"
   Uni(16) = "Dezasseis"
   Uni(17) = "Dezassete"
   Uni(18) = "Dezoito"
   Uni(19) = "Dezanove"
    
   VEExiste = False
   VEExtenso = ""
   If VEValor > 100 Then
       VEValor2 = Int(VEValor / 100)
       VEValor = VEValor - VEValor2 * 100
       VEExtenso = Cem(VEValor2)
       VEExiste = True
   End If
   If VEValor = 100 Then
       VEExtenso = "Cem"
       VEExiste = False
   End If
    
   If VEValor > 19 Then
       VEValor2 = Int(VEValor / 10)
       VEValor = VEValor - VEValor2 * 10
       If VEExiste Then VEExtenso = VEExtenso & " e "
       VEExtenso = VEExtenso & Dez(VEValor2)
       VEExiste = True
   End If
   If VEValor < 20 And VEValor >= 0 Then
       If VEExiste And VEValor > 0 Then VEExtenso = VEExtenso & " e "
       If VEValor > 0 Then VEExtenso = VEExtenso & Uni(VEValor)
   End If
   VECentenas = VEExtenso
    
End Function
Public Function ValoresExtenso(valor As Currency, NomeMoeda As String, CasasDcimais As Byte) As String
    
   Dim Centavo As Currency
   Dim Milho As Currency
   Dim Milhar As Currency
   Dim Unidade As Currency
   Dim Existe As Boolean
   Dim Extenso As String
   Dim CD(0 To 6) As Long
    
   CD(0) = 0
   CD(1) = 10
   CD(2) = 100
   CD(3) = 1000
   CD(4) = 10000
   CD(5) = 100000
   CD(6) = 1000000
    
   If valor = 0 Then
       ValoresExtenso = "Zero " & NomeMoeda
       Exit Function
   End If
    
   valor = Abs(valor)
    
   'Centavo = Int((Valor - Fix(Valor)) * 100)
   Centavo = (valor - Fix(valor)) * CD(CasasDcimais)
    
   Milho = Int(valor / 1000000)
       valor = valor - Milho * 1000000
   Milhar = Int((valor) / 1000)
       valor = valor - Milhar * 1000
   Unidade = Int(valor)
       Existe = False
    
   If Milho > 0 Then
       If Milho = 1 Then Extenso = "Um Milho " Else Extenso = VECentenas(Milho) + " Milhes "
       Existe = True
   End If
    
   If Milhar > 0 Then
       If Existe And Unidade = 0 Then Extenso = Extenso & "e "
       If Milhar = 1 Then
           Extenso = Extenso & "Mil "
       ElseIf Milhar > 1 Then
           Extenso = Extenso & VECentenas(Milhar) & " Mil "
       End If
       Existe = True
   End If
    
   If Unidade > 0 Then
       If Existe And Int(Unidade / 100) = Unidade / 100 Then Extenso = Extenso & "e "
       Extenso = Extenso & VECentenas(Unidade) & " "
   End If
   If Extenso = "Um Milho" Then Extenso = Extenso & "de"
   Extenso = Trim(Extenso) & " " & NomeMoeda
   If Centavo > 0 Then
       Extenso = Extenso & " e " & VECentenas(Centavo) + " Centimos."
   Else
       Extenso = Extenso & "."
   End If
   ValoresExtenso = Extenso
    
End Function


